summaryrefslogtreecommitdiffstats
path: root/tools/performance-log-viewer
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:30:19 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:30:19 +0000
commit5c1676dfe6d2f3c837a5e074117b45613fd29a72 (patch)
treecbffb45144febf451e54061db2b21395faf94bfe /tools/performance-log-viewer
parentInitial commit. (diff)
downloadgimp-upstream.tar.xz
gimp-upstream.zip
Adding upstream version 2.10.34.upstream/2.10.34upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tools/performance-log-viewer')
-rwxr-xr-xtools/performance-log-viewer39
1 files changed, 39 insertions, 0 deletions
diff --git a/tools/performance-log-viewer b/tools/performance-log-viewer
new file mode 100755
index 0000000..2ef7f38
--- /dev/null
+++ b/tools/performance-log-viewer
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# performance-log-viewer -- GIMP performance log viewer driver
+# Copyright (C) 2018 Ell
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+#
+#
+# Usage: performance-log-viewer FILE
+
+if [ "$#" -ne 1 ]; then
+ echo "Usage: $0 FILE"
+
+ exit 1
+fi
+
+tools_dir="$(dirname "$(command -v -- "$0")")"
+file="$1"
+
+< "$file" || exit 1
+
+< "$file" \
+"$tools_dir/performance-log-close-tags.py" | \
+"$tools_dir/performance-log-progressive-coalesce.py" | \
+"$tools_dir/performance-log-expand.py" | \
+"$tools_dir/performance-log-coalesce.py" | \
+"$tools_dir/performance-log-deduce.py" | \
+"$tools_dir/performance-log-viewer.py"